package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.ContractResource;
import com.lightinit.hsdataplatform.entity.ContractResourceExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContractResourceMapper {
    long countByExample(ContractResourceExample example);

    int deleteByExample(ContractResourceExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContractResource record);

    int insertSelective(ContractResource record);

    List<ContractResource> selectByExample(ContractResourceExample example);

    ContractResource selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContractResource record, @Param("example") ContractResourceExample example);

    int updateByExample(@Param("record") ContractResource record, @Param("example") ContractResourceExample example);

    int updateByPrimaryKeySelective(ContractResource record);

    int updateByPrimaryKey(ContractResource record);
}